function m = alternative(m,alt)
%
% ALTERNATIVE  Select subset of model parameterizations and respective solutions.
%
% n = alternative(m,alt)
% Arguments:
%   n,m model; alt numeric|logical
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

m.assign = m.assign(1,:,alt);
if ~isempty(m.solution{1})
  m.eigval = m.eigval(1,:,alt);
  for i = 1 : length(m.solution), m.solution{i} = m.solution{i}(:,:,alt); end
  for i = 1 : length(m.expand), m.expand{i} = m.expand{i}(:,:,alt); end
end

end % of primary function -----------------------------------------------------------------------------------