function warning_(code,list,varargin)

if iswarning('var') == false | iswarning('rvar') == false | iswarning('svar') == false, return, end

switch code

case 2
  msg = '%s for non-orthogonal innovations.';

case 3
  msg = 'LR-tested VAR models have identical numbers of hyperparameters.';
  
case 4
  msg = 'Effective estimation sample shorter than user-defined range.';
  
case 5
  msg  = 'VAR contains %g unit root(s).';
  
case 6
  msg  = 'VAR contains %g explosive root(s).';

case 7
  msg = 'Unable to reset mean for non-stationary parameterisation(s):%s.';

case 8
  msg = 'Unable to demean VAR(s) with non-stationary parameterisation(s):%s.';

end

if nargin == 1
  list = {};
end

printmsg('VAR','warning',msg,list,code);

end