function x = horzcat(varargin)
%
% HORZCAT  Horizontal concatenation of time series.
%
% Syntax:
%   x = horzcat(x,<y>)
%   x = [x,<y>]
% Arguments
%   x tseries; y tseries
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

x = cat(2,varargin{:});

end % of primary function -----------------------------------------------------------------------------------