function dec = dat2dec(dat)
%
% DAT2DEC  Date to decimal representation conversion.
% 
% Syntax:
%  dec = dat2dec(dat)
% Arguments:
%  dec: numeric; dat: numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

[year,per,freq] = dat2ypf(dat);
if freq == 0
  dec = per;
else
  dec = year + (per-1)./freq;
end

end % of primary function -----------------------------------------------------------------------------------