function freq = datfreq(dat)
%
% DATFREQ  Frequency (periodicity) of date.
%
% Syntax:
%   f = datfreq(dat)
% Arguments:
%   f: numeric; dat: numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

freq = round(100*(dat - floor(dat)));

end % of primary function -----------------------------------------------------------------------------------