function d = dboverlay(varargin)

% function body ---------------------------------------------------------------------------------------------

if nargin == 0, d = struct();
  else, d = varargin{1}; end

for k = 2 : nargin
  list = fieldnames(varargin{k});
  for m = 1 : length(list)
    try
      if istseries(d.(list{m})) && istseries(varargin{k}.(list{m}))
        d.(list{m}) = [d.(list{m});varargin{k}.(list{m})];
      else
        d.(list{m}) = varargin{k}.(list{m});
      end
    catch
      d.(list{m}) = varargin{k}.(list{m});
    end
  end
end

end % of primary function -----------------------------------------------------------------------------------