function [ph,lag] = frf2phase(w)

warning('off','MATLAB:divideByZero');
  ph = atan2(-imag(w{1}),real(w{1}));
warning('on','MATLAB:divideByZero');

if nargout > 1
  realSmall = getrealsmall;
  lag = ph;
  for I = 1 : length(w{2})
    if abs(w{2}(I)) < realSmall
      lag(:,:,I) = NaN;
    else
      lag(:,:,I) = lag(:,:,I) / w{2}(I);
    end
  end
end

return