function handle = ucircle(varargin)

radius = 1;

x = -radius : 0.01 : radius;
y =  sqrt(radius^2-x.^2);

m = [x+y*i,x(end:-1:1)-y(end:-1:1)*i];
m = [m, x, NaN, x*i];

handle = plot(m,varargin{:});
%set(gca,'plotboxaspectratio',[1,1,1],'dataaspectratio',[1,1,1],varargin{:});
set(gca,'dataaspectratio',[1,1,1]);
aux = get(gca,'yticklabel');
label = '';
for j = 1 : size(aux,1)
  label = strvcat(label,sprintf('%s i',strtrim(aux(j,:))));
end
set(gca,'yticklabel',strjust(label),'ytickmode','manual');

end