function eviewsdb2irisdb(inputname,outputname,freq)

irisconfig = load('irisconfig.mat');

  switch freq
  case 0
    freqstring = '';
  case 1
    freqstring = irisconfig.freqletters(1);
  case 2
    freqstring = irisconfig.freqletters(2);
  case 4
    freqstring = irisconfig.freqletters(3);
  case 12
    freqstring = irisconfig.freqletters(4);
  otherwise
    freqstring = '?';
  end

c = file2char(inputname);
c = regexprep(c,'(\d*):(\d*)(:\d*)?',['$1',freqstring,'$2']);
c = regexprep(c,'^OBS,',',');
char2file(c,outputname);

end