function y = pct(x,s)
%
% PCT  Percentage change.
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

if nargin < 2, s = -1; end

% function body ---------------------------------------------------------------------------------------------

s = vech(s);
y = 100*(repmat(x,[1,length(s)]) ./ shift(x,s) - 1);

end % of primary function -----------------------------------------------------------------------------------