function list = iriscompatibility(distribution)
%
% IRISCOMPATIBILITY  List of functions with backward compatibility problems relative to an older IRIS distribution.
%
% Syntax:
%   list = iriscompatibility(distribution)
% Arguments:
%   list cellstr; distribution numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

if ischar(distribution), distribution = sscanf(distribution,'%g'); end

% function body ---------------------------------------------------------------------------------------------

list = {};
if distribution < 4.20061126
  list =[list,{'model/xsf','rvar/xsv'}];
end

end % of primary function -----------------------------------------------------------------------------------