function d = emptydb(m,range)
%
% EMPTYDB  Create empty database(s) for model. 
%
% Syntax:
%   d = emptydb(m)
% Arguments:
%   d struct; m model
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

x(1:sum(m.nametype <= 3)) = {tseries()};
x(end+(1:sum(m.nametype == 4))) = {[]};
d = cell2struct(m.name,x,2);

end % of primary function -----------------------------------------------------------------------------------