function fprintf(m,fname,varargin)
%
% FPRINTF  Write formatted model data to file.
%
% Syntax:
%   fprintf(m,fname...)
% Arguments:
%   m model; fname char
% Options:
%   'dbname' char ('p')
%   'log' cellstr|char (empty)
%   'format' char ('%.16g')
%   'what' char ('parameters')
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

s = sprintf(m,varargin{:});
char2file(s,fname);

end % of primary function -----------------------------------------------------------------------------------