function d = addrand_(m,d,fcn,dim,precision)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

if nargin < 5, precision = m.precision; end

% function body ---------------------------------------------------------------------------------------------

nalt = dim(2);
ne = dim(3);
x = zeros(dim,precision);
x(:) = fcn(dim);
stdvec = permute(m.assign(1,end-ne+1:end,:),[1,3,2]);
for i = find(m.nametype == 3)
  for j = 1 : nalt, x(:,j,1) = stdvec(1,min([j,end]),1)*x(:,j,1); end
  d.(m.name{i})(:,:,:) = x(:,:,1);
  x = x(:,:,2:end);
  stdvec = stdvec(1,:,2:end);
end

end % of primary function -----------------------------------------------------------------------------------