%
% RVAR/SVAR functions
% The IRIS Toolbox 2007/01/29
%
% ACF                  Autocovariance and autocorrelation function.
% BACKWARD             Reverse VAR process.
% COMPANION            System matrices and data for 1st-order VAR companion form.
% DEMEAN               Remove mean (constant) from VAR and its datapack.
% FEVD                 Forecast error variance decomposition.
% FMSE                 Forecast mean square error matrix for VAR variables.
% FPRINTF              Save SVAR as model code.
% GET                  Get VAR attributes.
% INTEGRATE            Integrate VAR process.
% ISSTATIONARY         True if all eigenvalues are less than 1 in modulus.
% KSTEP                K-step-ahead VAR forecasts and errors.
% LRTEST               Likelihood ratio test of two VARs.
% MEAN                 Unconditional mean of VAR process.
% PORTEST              Portmanteau test for autocorrelation of VAR residuals.
% PROJECT              Extend data with VAR-based optimal linear projection forward and/or backward.
% RESAMPLE             Resample from VAR data.
% RVAR                 Estimate reduced-form VAR model.
% SET                  Set VAR attributes.
% SIMULATE             Simulate VAR model.
% SPRINTF              Print SVAR as model code.
% SRF                  Impulse response function (or VMA representation) of VAR.
% SSPACE               Quasi-triangular state-space form of VAR.
% SUBVAR               Reduce VAR to a subset of variables.
% SVAR                 Identify structural VAR from reduced-form VAR.
% TRANSFORM            Linear transformation of the vector of VAR variables.
% XSF                  Power spectrum and spectral density function.
