function display(w)
%
% RVAR/DISPLAY
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

if ~isempty(inputname(1)), disp([char(10),inputname(1),' =']); end
disp(' ');
[ny,p,nalt] = dim(w);
type = iff(isempty(w.B),'r','s');
d = sprintf('%g-by-',size(w));
if length(w) > 1, disp(sprintf('    %svar object: %s',type,d(1:end-4)));
  else, disp(sprintf('    %svar object with %g parameterisation(s)',type,nalt)); end
disp(' ');

end % of primary function -----------------------------------------------------------------------------------