function [eigval,w] = eig(w)
%
% EIGVAL  Eigenvalues of VAR process.
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

[ny,p,nalt] = dim(w);

if isempty(w.TZ) || isempty(w.TZ{1}), w = schur_(w); end
eigval = w.eigval;

end % of primary function -----------------------------------------------------------------------------------