function x = unop_(fn,x,dim,varargin)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

if dim == 0 % returns tseries of the same size
  x.data = fn(x.data,varargin{:});
  x = cut_(x);    
elseif dim == 1 % returns numeric operating along time dimension
  x = fn(x.data,varargin{:});
else % returns tseries operating along dim
  x.data = fn(x.data,varargin{:});
  dim = size(x.data);
  x.comment = cell([1,dim(2:end)]);
  x.comment(:) = {''};
  x = cut_(x);    
end

end % of primary function -----------------------------------------------------------------------------------