function x = subsasgn(x,s,data)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

if strcmp(s(1).type,'{}') && length(s(1).subs) == 1 && length(s(1).subs{1}) == 1,
  shift = s(1).subs{1};
  s(1) = [];
else
  shift = 0;
end

if strcmp(s(1).type,'()')
  dim = size(x.data);
  s(1).subs = indexing_(s(1).subs,x.start,dim);
  s(1).subs{1} = s(1).subs{1} - shift;
  if istseries(data), data = getdata_(data,s(1).subs{1}); end
  x = setdata_(x,s(1).subs{1},data,s(1).subs{2:end});
  x = cut_(x);
  s(1) = [];
elseif strcmp(s(1).type,'.') && strcmp(s(1).subs,'comment') && (ischar(data) || iscellstr(data))
  x = comment(x,data);
  s(1) = [];
end

if ~isempty(s), error_(), error('Incorrect time series assignment.'); end

end % of primary function -----------------------------------------------------------------------------------