function dat = yy(varargin)
%
% YY  Annual dates in IRIS internal format.
%
% Syntax:
%   dat = yy(year)
% Arguments:
%   dat numeric; year numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

year = varargin{1};
if nargin == 1, per = ones(size(year));
  else, per = varargin{2}; end

dat = datcode(year,per,1);

end % of primary function -----------------------------------------------------------------------------------