function gain = xs2gain(xs)

amplitude2 = real(xs{1}).^2 + imag(xs{1}).^2;
D = zeros(size(xs{1}));
gain = zeros(size(xs{1}));
for i = 1 : length(xs{2})
  warning('off','MATLAB:divideByZero');
    D(:,:,i) = diag(1./diag(xs{1}(:,:,i)));
    gain(:,:,i) = sqrt(amplitude2(:,:,i)) * D(:,:,i);
  warning('on','MATLAB:divideByZero');  
end

for i = 1 : size(xs{1},1), gain(i,i,:) = 1; end
gain = {gain,xs{2}};

end