function A = var2poly(A)
%
% VAR2POLY  VAR to polynomial conversion.
%
% Syntax:
%   P = var2poly(A)
% Arguments:
%   P numeric; A numeric|rvar|svar
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

if isvar(A), A = get(A,'A'); end
[ny,aux,nalt] = size(A);
p = aux/ny;
x = eye(ny);
x = x(:,:,1,ones([1,nalt]));
A = cat(3,x,reshape(-A,[ny,ny,p,nalt]));

end % of primary function -----------------------------------------------------------------------------------