function ftitle(h,ltitle,ctitle,rtitle)
%
% FTITLE  Place left-hand side, centered and right-hand side titles in graphical window.
%
% Syntax:
%   ftitle(h,ltitle,ctitle,rtitle)
% Arguments:
%   h numeric; ltitle,ctitle,rtitle char
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

figure(h);
axes('position',[0,0,1,1],'visible','off');
text(0.01,0.98,ltitle,'fontsize',12,'horizontalalignment','left','fontweight','bold');
text(0.5,0.98,ctitle,'fontsize',12,'horizontalalignment','center','fontweight','bold');
text(0.99,0.98,rtitle,'fontsize',12,'horizontalalignment','right','fontweight','bold');

end % of primary function -----------------------------------------------------------------------------------