function flag = isdiag(X)
%
% ISDIAG  True if matrix is diagonal.
%
% Syntax:
%   flag = isdiag(X)
% Arguments:
%   flag logical; X numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

flag = all(all(tril(X,-1) == 0)) && all(all(triu(X,1) == 0)); end

end % of primary function -----------------------------------------------------------------------------------